tigase.server.xmppserver

## Class S2SConnection

- java.lang.Object
- - tigase.server.xmppserver.S2SConnection

- All Implemented Interfaces:
    Comparable<S2SConnection>

      public class S2SConnection
      extends Object
      implements Comparable<S2SConnection>

  Created: Jun 14, 2010 1:19:55 PM
  Author:
    Artur Hefczyc

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `S2SConnection(S2SConnectionHandlerIfc<S2SIOService> handler, String ip)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addControlPacket(Packet packet)`
    `int` | `compareTo(S2SConnection o)`
    `String` | `getIPAddress()`
    `S2SIOService` | `getS2SIOService()`
    `int` | `getWaitingControlCount()`
    `boolean` | `isConnected()`
    `void` | `sendAllControlPackets()`
    `boolean` | `sendPacket(Packet packet)`
    `void` | `setS2SIOService(S2SIOService serv)`
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### S2SConnection

          public S2SConnection(S2SConnectionHandlerIfc<S2SIOService> handler,
                               String ip)

  - ### Method Detail

    - #### addControlPacket

          public void addControlPacket(Packet packet)

    - #### compareTo

          public int compareTo(S2SConnection o)

      Specified by:
        `compareTo` in interface `Comparable<S2SConnection>`

    - #### getIPAddress

          public String getIPAddress()

    - #### getS2SIOService

          public S2SIOService getS2SIOService()

    - #### setS2SIOService

          public void setS2SIOService(S2SIOService serv)

    - #### getWaitingControlCount

          public int getWaitingControlCount()

    - #### isConnected

          public boolean isConnected()

    - #### sendAllControlPackets

          public void sendAllControlPackets()

    - #### sendPacket

          public boolean sendPacket(Packet packet)
                             throws IOException

      Throws:
        `IOException`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2004–2020 "Tigase, Inc.". All rights reserved.